add_rules("mode.debug","mode.release")
if is_mode("debug") then 
    -- add_cxxflags("-O2","-DOI")
    add_cxxflags("-DOI")
    add_cxxflags("-Wextra")
end 
if is_mode("release") and (is_plat("linux")or is_plat("mingw")) then 
    add_cxxflags("-march=native")
end 
set_languages("c++23")
set_warnings("all")

target("P1158")
    set_rundir("20240821/P1158")
    add_files("20240821/P1158/P1158.cpp")

target("lq148jz")
    add_files("20240823/十四届蓝桥比赛/八进制回文平方数.cpp")

target("lq14zy")
    add_files("20240823/十四届蓝桥比赛/主要成分.cpp")

target("lq14jd")
    add_files("20240823/十四届蓝桥比赛/简单算术题.cpp")

target("lq14sd")
    add_files("20240823/十四届蓝桥比赛/数独填数.cpp")

target("P2615")
    add_files("20240828/P2615/P2615.cpp")

target("B4015")
    add_files("20240829/B4015/B4015.cpp")

target("P4089")
    add_files("20240830/P4089/P4089.cpp")

target("P2661")
    add_files("20240830/P2661/P2661.cpp")

target("6261")
    add_files("20240901/6261/6261.cpp")

target("test")
    add_files("test.cpp")

target("bitset")
    add_files("20240906/bitset.cpp")

target("P1352")
    add_files("20240907/P1352/P1352.cpp")

target("testTpl")
    add_files("20240907/testTpl/testTpl.cpp")

target("P2016")
    add_files("20240908/P2016/P2016.cpp")

target("oj1808")
    add_files("20240915/1808/1808.cpp")

target("matchStr")
    add_files("20240915/matchStr/*.cpp")

target("P1991")
    add_files("20240917/P1991/P1991.cpp")